export const primaryColors = [
	{
		name: "--color-primary-50",
		description: null,
		hex: "#f3f7fc",
		tokens: ["var(--gov-color-primary-50)"],
	},
	{
		name: "--color-primary-100",
		description: null,
		hex: "#e5eef9",
		tokens: ["var(--gov-color-primary-100)"],
	},
	{
		name: "--color-primary-200",
		description: null,
		hex: "#c5dbf2",
		tokens: ["var(--gov-color-primary-200)"],
	},
	{
		name: "--color-primary-300",
		description: null,
		hex: "#93bde6",
		tokens: ["var(--gov-color-primary-300)"],
	},
	{
		name: "--color-primary-400",
		description: null,
		hex: "#599bd7",
		tokens: ["var(--gov-color-primary-400)"],
	},
	{
		name: "--color-primary-500",
		description: null,
		hex: "#337fc4",
		tokens: ["var(--gov-color-primary-500)"],
	},
	{
		name: "--color-primary-600",
		description: null,
		hex: "#2362a2",
		tokens: ["var(--gov-color-primary-600)"],
	},
	{
		name: "--color-primary-700",
		description: null,
		hex: "#1e5086",
		tokens: ["var(--gov-color-primary-700)"],
	},
	{
		name: "--color-primary-800",
		description: null,
		hex: "#1d456f",
		tokens: ["var(--gov-color-primary-800)"],
	},
	{
		name: "--color-primary-900",
		description: null,
		hex: "#1d3c5d",
		tokens: ["var(--gov-color-primary-900)"],
	},
	{
		name: "--color-primary-950",
		description: null,
		hex: "#13263e",
		tokens: ["var(--gov-color-primary-950)"],
	},
	{
		name: "--color-primary-1000",
		description: null,
		hex: "#0f1f33",
		tokens: ["var(--gov-color-primary-1000)"],
	},
	{
		name: "--color-primary-1050",
		description: null,
		hex: "#010409",
		tokens: ["var(--gov-color-primary-1050)"],
	},
];

export const secondaryColors = [
	{
		name: "--color-secondary-50",
		description: null,
		hex: "#fff9e9",
		tokens: ["var(--gov-color-secondary-50)"],
	},
	{
		name: "--color-secondary-100",
		description: null,
		hex: "#fff6e1",
		tokens: ["var(--gov-color-secondary-100)"],
	},
	{
		name: "--color-secondary-200",
		description: null,
		hex: "#fef0d0",
		tokens: ["var(--gov-color-secondary-200)"],
	},
	{
		name: "--color-secondary-300",
		description: null,
		hex: "#fde1a1",
		tokens: ["var(--gov-color-secondary-300)"],
	},
	{
		name: "--color-secondary-400",
		description: null,
		hex: "#ffcf74",
		tokens: ["var(--gov-color-secondary-400)"],
	},
	{
		name: "--color-secondary-500",
		description: null,
		hex: "#fbc342",
		tokens: ["var(--gov-color-secondary-500)"],
	},
	{
		name: "--color-secondary-600",
		description: null,
		hex: "#fab413",
		tokens: ["var(--gov-color-secondary-600)"],
	},
	{
		name: "--color-secondary-700",
		description: null,
		hex: "#c8900f",
		tokens: ["var(--gov-color-secondary-700)"],
	},
	{
		name: "--color-secondary-800",
		description: null,
		hex: "#af7a00",
		tokens: ["var(--gov-color-secondary-800)"],
	},
	{
		name: "--color-secondary-900",
		description: null,
		hex: "#4a3403",
		tokens: ["var(--gov-color-secondary-900)"],
	},
	{
		name: "--color-secondary-950",
		description: null,
		hex: "#3d2b00",
		tokens: ["var(--gov-color-secondary-950)"],
	},
	{
		name: "--color-secondary-1000",
		description: null,
		hex: "#241B04",
		tokens: ["var(--gov-color-secondary-1000)"],
	},
];

export const neutralColors = [
	{
		name: "--color-neutral-0",
		description: null,
		hex: "#ffffff",
		tokens: ["var(--gov-color-neutral-0)"],
	},
	{
		name: "--color-neutral-50",
		description: null,
		hex: "#f6f6f6",
		tokens: ["var(--gov-color-neutral-50)"],
	},
	{
		name: "--color-neutral-100",
		description: null,
		hex: "#e7e7e7",
		tokens: ["var(--gov-color-neutral-100)"],
	},
	{
		name: "--color-neutral-200",
		description: null,
		hex: "#d1d1d1",
		tokens: ["var(--gov-color-neutral-200)"],
	},
	{
		name: "--color-neutral-300",
		description: null,
		hex: "#b0b0b0",
		tokens: ["var(--gov-color-neutral-300)"],
	},
	{
		name: "--color-neutral-400",
		description: null,
		hex: "#888888",
		tokens: ["var(--gov-color-neutral-400)"],
	},
	{
		name: "--color-neutral-500",
		description: null,
		hex: "#6d6d6d",
		tokens: ["var(--gov-color-neutral-500)"],
	},
	{
		name: "--color-neutral-600",
		description: null,
		hex: "#5d5d5d",
		tokens: ["var(--gov-color-neutral-600)"],
	},
	{
		name: "--color-neutral-700",
		description: null,
		hex: "#4f4f4f",
		tokens: ["var(--gov-color-neutral-700)"],
	},
	{
		name: "--color-neutral-800",
		description: null,
		hex: "#454545",
		tokens: ["var(--gov-color-neutral-800)"],
	},
	{
		name: "--color-neutral-900",
		description: null,
		hex: "#3b3b3b",
		tokens: ["var(--gov-color-neutral-900)"],
	},
	{
		name: "--color-neutral-950",
		description: null,
		hex: "#262626",
		tokens: ["var(--gov-color-neutral-950)"],
	},
	{
		name: "--color-neutral-1000",
		description: null,
		hex: "#000000",
		tokens: ["var(--gov-color-neutral-1000)"],
	},
	{
		name: "--color-neutral-transparent",
		description: null,
		hex: "rgba(255, 255, 255, 0)",
		tokens: ["var(--gov-color-neutral-transparent)"],
	},
];

export const errorColors = [
	{
		name: "--color-error-50",
		description: null,
		hex: "#fef2f2",
		tokens: ["var(--gov-color-error-50)"],
	},
	{
		name: "--color-error-100",
		description: null,
		hex: "#fde3e3",
		tokens: ["var(--gov-color-error-100)"],
	},
	{
		name: "--color-error-200",
		description: null,
		hex: "#fccccc",
		tokens: ["var(--gov-color-error-200)"],
	},
	{
		name: "--color-error-300",
		description: null,
		hex: "#f8a9a9",
		tokens: ["var(--gov-color-error-300)"],
	},
	{
		name: "--color-error-400",
		description: null,
		hex: "#f37676",
		tokens: ["var(--gov-color-error-400)"],
	},
	{
		name: "--color-error-500",
		description: null,
		hex: "#e84b4b",
		tokens: ["var(--gov-color-error-500)"],
	},
	{
		name: "--color-error-600",
		description: null,
		hex: "#c62828",
		tokens: ["var(--gov-color-error-600)"],
	},
	{
		name: "--color-error-700",
		description: null,
		hex: "#7e1414",
		tokens: ["var(--gov-color-error-700)"],
	},
	{
		name: "--color-error-800",
		description: null,
		hex: "#490c0c",
		tokens: ["var(--gov-color-error-800)"],
	},
	{
		name: "--color-error-900",
		description: null,
		hex: "#300606",
		tokens: ["var(--gov-color-error-900)"],
	},
	{
		name: "--color-error-950",
		description: null,
		hex: "#240303",
		tokens: ["var(--gov-color-error-950)"],
	},
];

export const warningColors = [
	{
		name: "--color-warning-50",
		description: null,
		hex: "#fefbe8",
		tokens: ["var(--gov-color-warning-50)"],
	},
	{
		name: "--color-warning-100",
		description: null,
		hex: "#fef7c3",
		tokens: ["var(--gov-color-warning-100)"],
	},
	{
		name: "--color-warning-200",
		description: null,
		hex: "#feed8a",
		tokens: ["var(--gov-color-warning-200)"],
	},
	{
		name: "--color-warning-300",
		description: null,
		hex: "#fdd835",
		tokens: ["var(--gov-color-warning-300)"],
	},
	{
		name: "--color-warning-400",
		description: null,
		hex: "#fac615",
		tokens: ["var(--gov-color-warning-400)"],
	},
	{
		name: "--color-warning-500",
		description: null,
		hex: "#eaad0b",
		tokens: ["var(--gov-color-warning-500)"],
	},
	{
		name: "--color-warning-600",
		description: null,
		hex: "#ca8504",
		tokens: ["var(--gov-color-warning-600)"],
	},
	{
		name: "--color-warning-700",
		description: null,
		hex: "#e49400",
		tokens: ["var(--gov-color-warning-700)"],
	},
	{
		name: "--color-warning-800",
		description: null,
		hex: "#be7d02",
		tokens: ["var(--gov-color-warning-800)"],
	},
	{
		name: "--color-warning-900",
		description: null,
		hex: "#6b4a0d",
		tokens: ["var(--gov-color-warning-900)"],
	},
	{
		name: "--color-warning-950",
		description: null,
		hex: "#432e06",
		tokens: ["var(--gov-color-warning-950)"],
	},
	{
		name: "--color-warning-1000",
		description: null,
		hex: "#2a1b00",
		tokens: ["var(--gov-color-warning-1000)"],
	},
];

export const successColors = [
	{
		name: "--color-success-50",
		description: null,
		hex: "#f3faf3",
		tokens: ["var(--gov-color-success-50)"],
	},
	{
		name: "--color-success-100",
		description: null,
		hex: "#e2f6e3",
		tokens: ["var(--gov-color-success-100)"],
	},
	{
		name: "--color-success-200",
		description: null,
		hex: "#c7ebc9",
		tokens: ["var(--gov-color-success-200)"],
	},
	{
		name: "--color-success-300",
		description: null,
		hex: "#9bda9e",
		tokens: ["var(--gov-color-success-300)"],
	},
	{
		name: "--color-success-400",
		description: null,
		hex: "#67c16b",
		tokens: ["var(--gov-color-success-400)"],
	},
	{
		name: "--color-success-500",
		description: null,
		hex: "#42a547",
		tokens: ["var(--gov-color-success-500)"],
	},
	{
		name: "--color-success-600",
		description: null,
		hex: "#2e7d32",
		tokens: ["var(--gov-color-success-600)"],
	},
	{
		name: "--color-success-700",
		description: null,
		hex: "#2a6b2d",
		tokens: ["var(--gov-color-success-700)"],
	},
	{
		name: "--color-success-800",
		description: null,
		hex: "#265529",
		tokens: ["var(--gov-color-success-800)"],
	},
	{
		name: "--color-success-900",
		description: null,
		hex: "#204724",
		tokens: ["var(--gov-color-success-900)"],
	},
	{
		name: "--color-success-950",
		description: null,
		hex: "#0d260f",
		tokens: ["var(--gov-color-success-950)"],
	},
	{
		name: "--color-success-1000",
		description: null,
		hex: "#061b08",
		tokens: ["var(--gov-color-success-1000)"],
	},
];

export const otherColors = [
	{
		name: "--color-focus-300",
		description: null,
		hex: "#6caef4",
		tokens: ["var(--gov-color-focus-300)"],
	},
	{
		name: "--color-focus-600",
		description: null,
		hex: "#007bff",
		tokens: ["var(--gov-color-focus-600)"],
	},
	{
		name: "--color-visited-300",
		description: null,
		hex: "#C4a7e6",
		tokens: ["var(--gov-color-visited-300)"],
	},
	{
		name: "--color-visited-600",
		description: null,
		hex: "#67329e",
		tokens: ["var(--gov-color-visited-600)"],
	},
	{
		name: "--color-visited-700",
		description: null,
		hex: "#60306b",
		tokens: ["var(--gov-color-visited-700)"],
	},
];
